package cz.cvut.k36.pr2.hw.hw02;

/**
 * Abstraction for ink representation.
 */
public interface Ink {

    /**
     * Extracts RGB representation of color of the ink. Although the
     * returned representation is in RGB, it contains only given color.
     * @param color from which to be extracted
     * @return RGB represetnation of the given color.
     */
    public Color extractColor(Color color);

    /**
     * Gets amount of ink's color from given RGB {@link cz.cvut.k36.pr2.hw.hw02.Color}.
     * One can imagine the result as the amount of ink to be printed
     * to eventually generate given color. The result is in range [0; 1]
     * where 0 is no amount at all and 1 maximall amount.
     * @param color from which to be extracted
     * @return amount of ink
     */
    public double getAmount(Color color);

}
