package cz.cvut.k36.pr2.hw.hw02;

/**
 * Container for shapes to be printed into canvas. The Shape Holder
 * keeps order of added Shapes and this order is respected during
 * the print into canvas. The oldest shapes are printed earlier.
 */
public interface ShapeHolder {

    /**
     * Adds shape into container.
     * @param shape to be added
     */
    public void addShape(Shape shape);

    /**
     * Prints shapes onto canvas.
     * @param canvas to be printed on.
     */
    public void printToCanvas(Canvas canvas);

}
